
QGIS Application - Bug report #15595

QGIS crashes loading WCS layer

2016-09-21 05:18 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Web Services clients/WCS

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23518

Description

This happens on any version > 2.8.*

In 2.8.* the layer loads as expected.

The layers is the one available here

http://wms.pcn.minambiente.it/wcs/dtm_75m

that seems a service based on Mapsever.

Other layers loaded from a service based on Geonode/Geoserver are not causing any issue.

Associated revisions

Revision 08f4a0f4 - 2016-10-05 03:19 AM - Martin Dobias

Fix crash when loading WCS layers (fixes #15595)

The problem is that some providers would still issue network

requests in prepareJobs() - this should be ideally avoided,

because it is run in main thread - all the work should be deferred

to be done in worker thread.

Revision aeeb5d95 - 2016-10-28 10:58 AM - Martin Dobias

Fix crash when loading WCS layers (fixes #15595)

The problem is that some providers would still issue network

requests in prepareJobs() - this should be ideally avoided,

because it is run in main thread - all the work should be deferred

to be done in worker thread.

(cherry picked from commit 08f4a0f40cce21d5730653a75bdd44f175f3b0b8)

Revision 66a213bc - 2016-10-28 11:23 AM - Martin Dobias

Fix crash when loading WCS layers (fixes #15595)
The problem is that some providers would still issue network

requests in prepareJobs() - this should be ideally avoided,

because it is run in main thread - all the work should be deferred

to be done in worker thread.

(cherry picked from commit 08f4a0f40cce21d5730653a75bdd44f175f3b0b8)

History

#1 - 2016-10-04 01:19 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2016-10-04 06:22 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"08f4a0f40cce21d5730653a75bdd44f175f3b0b8".
